Subject: bug#17386: 24.3.90; emacs_abort in cmcheckmagic

From: Nicolas Richard <[email-masked]>
Date: Wed, 28 May 2014 10:35:39 +0200

It happened again (at least it looks very very similar to me) but I'm
afraid I'm not bringing much new information.

Anyway, just to show that it is the same problem :

(gdb) f 2
#2  0x0812f9b7 in cmcheckmagic (tty=0x897de50) at cm.c:120
120             emacs_abort ();
(gdb) l
115     cmcheckmagic (struct tty_display_info *tty)
116     {
117       if (curX (tty) == FrameCols (tty))
118         {
119           if (!MagicWrap (tty) || curY (tty) >= FrameRows (tty) - 1)
120             emacs_abort ();
121           if (tty->termscript)
122             putc ('\r', tty->termscript);
123           putc ('\r', tty->output);
124           if (tty->termscript)
(gdb) p curY(tty)
$1 = 41
(gdb) p FrameRows(tty)
$2 = 23

The situation was as follows: I had a detached tmux session with an
"emacs -nw" in it (in gdb), and I had a graphical frame open also (via
emacsclient). I then tried to reattach to the tmux session, and that's
when emacs crashed.

I guess it would help to know what happens when tmux is detached.
Perhaps emacs should receive some kind of notification, and that doesn't
happen in some cases ? Next time I have to close emacs I'll try using
screen instead of tmux.

-- 
Nico.